# GCC_ChannelType Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Enumerations { e_static, e_dynamicMulticast, e_dynamicPrivate, e_dynamicUserId }

## Public Member Functions

| GCC_ChannelType (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
GCC_ChannelType & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_ChannelType::Enumerations

Enumerator:

  e_static |
  e_dynamicMulticast |
  e_dynamicPrivate |
  e_dynamicUserId |

## Constructor & Destructor Documentation

GCC_ChannelType::GCC_ChannelType | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_ChannelType& GCC_ChannelType::operator= | ( | unsigned | v | ) |

PObject* GCC_ChannelType::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h